Bug 1076312 - incorrect lang package contents after upgrade to rpm 4.14
incorrect lang package contents after upgrade to rpm 4.14
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
x86-64 Linux
: P5 - None : Normal (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-17 07:34 UTC by Olaf Hering
Modified: 2018-06-19 15:00 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
k9copy.build.log.txt (670.18 KB, text/plain)
2018-01-17 07:34 UTC, Olaf Hering
Details
k9copy.spec (3.43 KB, text/plain)
2018-01-17 07:34 UTC, Olaf Hering
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olaf Hering 2018-01-17 07:34:02 UTC
Created attachment 756360 [details]
k9copy.build.log.txt

k9copy was building properly. After upgrade to rom 4.14 the build fails due to duplicate files being detected.

Inspection shows that the k9copy-lang package contains non-lang files due to incorrect filelist.

See attached .build.log and k9copy.spec
Comment 1 Olaf Hering 2018-01-17 07:34:37 UTC
Created attachment 756361 [details]
k9copy.spec
Comment 2 Tomáš Chvátal 2018-06-19 15:00:25 UTC
As this was fixed by fixing the call for find_langs I suppose this can be closed as fixed.

Otherwise just reopen it and assign to rpm maintainer.